import pandas as pd
import numpy as np

# サンプルデータ作成
data = {"Value": [10, 12, 15, 1000, 14, 13, 1001]}
df = pd.DataFrame(data)

# 異常値の確認
print("異常値を含むデータ:")
print(df)

# 四分位範囲（IQR）を用いた異常値処理
Q1 = df["Value"].quantile(0.25)
Q3 = df["Value"].quantile(0.75)
IQR = Q3 - Q1
lower_bound = Q1 - 1.5 * IQR
upper_bound = Q3 + 1.5 * IQR

# 異常値の処理
df_filtered = df[(df["Value"] >= lower_bound) & (df["Value"] <= upper_bound)]
print("\n異常値処理後のデータ:")
print(df_filtered)