import pandas as pd
import numpy as np
from sklearn.preprocessing import StandardScaler, MinMaxScaler

# サンプルデータ作成
data = {"Feature1": [100, 200, 300, 400, 500], "Feature2": [1, 2, 3, 4, 5]}
df = pd.DataFrame(data)

# 標準化（StandardScaler）
scaler = StandardScaler()
df["Feature1_Standardized"] = scaler.fit_transform(df[["Feature1"]])

# 最小値-最大値スケーリング（MinMaxScaler）
min_max_scaler = MinMaxScaler()
df["Feature2_Scaled"] = min_max_scaler.fit_transform(df[["Feature2"]])

# 結果表示
print("スケーリングと正規化後のデータ:")
print(df)