import pandas as pd

# サンプル日付データ作成
data = {"TransactionDate": ["2023-01-01", "2023-01-15", "2023-02-01", "2023-02-15", "2023-03-01"]}
df = pd.DataFrame(data)

# 日時分解
df["TransactionDate"] = pd.to_datetime(df["TransactionDate"])
df["Year"] = df["TransactionDate"].dt.year
df["Month"] = df["TransactionDate"].dt.month
df["Day"] = df["TransactionDate"].dt.day
df["DayOfWeek"] = df["TransactionDate"].dt.dayofweek

# 時間差計算
df["DaysSinceFirst"] = (df["TransactionDate"] - df["TransactionDate"].min()).dt.days

# 結果表示
print("日付データの処理結果:")
print(df)