import pandas as pd
import numpy as np

# サンプルデータ作成
data = {
    "CustomerID": [1, 1, 2, 2, 3],
    "PurchaseAmount": [100, 200, 150, 300, 250],
    "State": ["CA", "CA", "NY", "NY", "TX"]
}
df = pd.DataFrame(data)

# 数値変換（対数変換）
df["LogPurchaseAmount"] = np.log(df["PurchaseAmount"])

# カテゴリの組み合わせ
df["State_CustomerID"] = df["State"] + "_" + df["CustomerID"].astype(str)

# 集計特徴量（顧客ごとの平均購入額）
aggregated = df.groupby("CustomerID")["PurchaseAmount"].mean().reset_index()
aggregated.rename(columns={"PurchaseAmount": "AvgPurchaseAmount"}, inplace=True)

# 結果表示
print("派生特徴量の作成結果:")
print(df)
print("\n集計特徴量:")
print(aggregated)